-- version and date
local revision = tonumber(("$Revision: 47890 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-09-01 11:32:25 -0400 (Sat, 01 Sep 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "PitBull", "PitBull")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- swap to raid configuration; will swap to party if in party
    PitBull:ChangeConfigMode(NShakedown.db.profile.PitBull)
    
    -- unlock frames
    if PitBull.db.profile.settings.locked then
        PitBull:OnClick()
    end
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- get out of configuration mode
    PitBull:ChangeConfigMode(nil)

    -- lock frames
    PitBull:OnClick()
end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()